Index: frame.c
===================================================================
--- frame.c	(revision 341)
+++ frame.c	(working copy)
@@ -636,15 +636,21 @@
     }
 }
 
+
+#ifdef HAVE_MMXEXT
 void x264_deblock_v_chroma_mmxext( uint8_t *pix, int stride, int alpha, int beta, int8_t *tc0 );
 void x264_deblock_h_chroma_mmxext( uint8_t *pix, int stride, int alpha, int beta, int8_t *tc0 );
 void x264_deblock_v_chroma_intra_mmxext( uint8_t *pix, int stride, int alpha, int beta );
-void x264_deblock_h_chroma_intra_mmxext( uint8_t *pix, int stride, int alpha, int beta );
+void x264_deblock_h_chroma_intra_mmxext( uint8_t *pix, int stride, int alpha, int beta ); 
+#endif
 
 #ifdef ARCH_X86_64
 void x264_deblock_v_luma_sse2( uint8_t *pix, int stride, int alpha, int beta, int8_t *tc0 );
 void x264_deblock_h_luma_sse2( uint8_t *pix, int stride, int alpha, int beta, int8_t *tc0 );
-#else
+
+
+#elif defined HAVE_MMXEXT
+
 void x264_deblock_h_luma_mmxext( uint8_t *pix, int stride, int alpha, int beta, int8_t *tc0 );
 void x264_deblock_v8_luma_mmxext( uint8_t *pix, int stride, int alpha, int beta, int8_t *tc0 );
 
@@ -665,24 +671,25 @@
     pf->deblock_h_luma_intra = deblock_h_luma_intra_c;
     pf->deblock_v_chroma_intra = deblock_v_chroma_intra_c;
     pf->deblock_h_chroma_intra = deblock_h_chroma_intra_c;
-
+#ifdef HAVE_MMXEXT
     if( cpu&X264_CPU_MMXEXT )
     {
         pf->deblock_v_chroma = x264_deblock_v_chroma_mmxext;
         pf->deblock_h_chroma = x264_deblock_h_chroma_mmxext;
         pf->deblock_v_chroma_intra = x264_deblock_v_chroma_intra_mmxext;
         pf->deblock_h_chroma_intra = x264_deblock_h_chroma_intra_mmxext;
-
+#endif
 #ifdef ARCH_X86_64
         if( cpu&X264_CPU_SSE2 )
         {
             pf->deblock_v_luma = x264_deblock_v_luma_sse2;
             pf->deblock_h_luma = x264_deblock_h_luma_sse2;
         }
-#else
+#elif defined HAVE_MMXEXT
         pf->deblock_v_luma = x264_deblock_v_luma_mmxext;
         pf->deblock_h_luma = x264_deblock_h_luma_mmxext;
+
+    }
 #endif
-    }
 }
 
